Subject: bug#57364: 28.1.91; asynchronous X server error when creating a second frame on alternate DISPLAY

From: Po Lu <[email-masked]>
Date: Fri, 26 Aug 2022 13:44:07 +0800

andrés ramírez <[email-masked]> writes:

> It does NOT happen If You use --without-cairo. Perhaps this could be a
> workaround for my case.

Oh, then I know this bug.  It's in Cairo, not Emacs.

What version of Cairo do you have installed?  I think this problem goes
away if you update Cairo to the latest released version.

> for cleanup tasks it's ok. But for x_frame_highlight. I am getting rid
> of all the X-frames on this display. Is there a way of avoiding calling
> that function in case of close-display-connections.

There is not, and there's no reason to not do that, if async input
happens while deleting the frame that causes the border color to
legitimately change.

That isn't the cause of this error.